commit:     1dfbe5397d2aa8bcf974db853f53462067eee648
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 22 09:08:27 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Oct 22 09:58:50 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1dfbe539

net-analyzer/nmap: Version bump.

Package-Manager: portage-2.3.2

 net-analyzer/nmap/Manifest         |   1 +
 net-analyzer/nmap/nmap-7.31.ebuild | 172 +++++++++++++++++++++++++++++++++++++
 2 files changed, 173 insertions(+)

diff --git a/net-analyzer/nmap/Manifest b/net-analyzer/nmap/Manifest
index 99a27b4..15d74ba 100644
--- a/net-analyzer/nmap/Manifest
+++ b/net-analyzer/nmap/Manifest
@@ -2,4 +2,5 @@ DIST nmap-6.47.tar.bz2 7878122 SHA256 
8fa11e9e203ce2d81a207db5ca4f110a525f6c01c1
 DIST nmap-7.01.tar.bz2 8922697 SHA256 
cf1fcd2643ba2ef52f47acb3c18e52fa12a4ae4b722804da0e54560704627705 SHA512 
8b37616c2af2134a5a3bb292f25f2bc0232e20e08405620734c07d84bbc9070a87db4d4b14e8a10c67a3684960035ed202be5dd6feddfb613c134208fc62a2a7
 WHIRLPOOL 
612ad1e98fb0e52b4a85305ab4a1ef21b225a6457d6af09747651eae82c2601edb2b817add01e46c7f4831ed30353917d699b6cc82e67f30a2494dc41fee1d31
 DIST nmap-7.12.tar.bz2 8960599 SHA256 
63df082a87c95a189865d37304357405160fc6333addcf5b84204c95e0539b04 SHA512 
91156499c6f903fb565fa2b0faa74043d078493312f9489071fafc687301017afc16c7eb26c092f1fa142e78c98a436833f56a9f015cb2a17aa6f6220b6a0b98
 WHIRLPOOL 
ed4f3b00dc5e71f841133026c9b40aa285a9e47c6fd4ee012d235c22c6193039d19256b42708b5e38fe94840d7b4535cc78a4e6681f66a2fed3eb251070d0fde
 DIST nmap-7.30.tar.bz2 9003761 SHA256 
ba38a042ec67e315d903d28a4976b74999da94c646667c0c63f31e587d6d8d0f SHA512 
effef6d1d3f333a8c9a628a2acc0d0faec5967ef09a7d831a4d8d287f224167305e54f575e571eebb0f30544675bf27c834fdaf468db00cdb3fcad14e392303c
 WHIRLPOOL 
d20627c806131fcec6583f8d2eb3504f669d2165391d5ba17bdf86be3417cc5ca783ff5d1552735bbeb75ac34d236ca36cfe754c29596ec8703a6b669a91aa55
+DIST nmap-7.31.tar.bz2 9000848 SHA256 
cb9f4e03c0771c709cd47dc8fc6ac3421eadbdd313f0aae52276829290583842 SHA512 
891593dfa13f235a97c2cebfd8f557d7f8c1c9edacf62c460c7ee8ee7bf5f4df1805da903ee031985b8cc91293c739b025ebe4c5fa9d66a3580b2da2f3b4870c
 WHIRLPOOL 
a0f3ad25d70bb8db440c4a4d631dd5324216b5a9310a3f59d13cb64c235ac6e8ab922ff517a6938e1b06b6ef85b98b93864ad8236074046eaab2b2a13f9cebad
 DIST nmap-logo-64.png 3289 SHA256 
4c72ff1eeffeeaa1039b251d9f2d675936e65db686fe3b57a35c2183ce67a8aa SHA512 
fb102d12aaeebc8a97543ecd653a3606e86996ad679bc26d6e6e274ad05ec3e9f92521289d1a24153c521b699e8c0cfa65d8856bb49af53ee4837268bbc6b5d3
 WHIRLPOOL 
6093aadcb9880587e17d39d45fcbe57bb62777f220655e6ed5b5f900ce49cb8c5a53e24d7db0de6f8909eb0f8981f7565e6ae9b9bf9283a4ccccb0526eab5313

diff --git a/net-analyzer/nmap/nmap-7.31.ebuild 
b/net-analyzer/nmap/nmap-7.31.ebuild
new file mode 100644
index 00000000..1fe61b5
--- /dev/null
+++ b/net-analyzer/nmap/nmap-7.31.ebuild
@@ -0,0 +1,172 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite,xml"
+inherit autotools eutils flag-o-matic python-single-r1 toolchain-funcs
+
+MY_P=${P/_beta/BETA}
+
+DESCRIPTION="A utility for network discovery and security auditing"
+HOMEPAGE="http://nmap.org/";
+SRC_URI="
+       http://nmap.org/dist/${MY_P}.tar.bz2
+       https://dev.gentoo.org/~jer/nmap-logo-64.png
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~x86-solaris"
+
+IUSE="ipv6 libressl +nse system-lua ncat ndiff nls nmap-update nping ssl 
zenmap"
+NMAP_LINGUAS=( de fr hi hr it ja pl pt_BR ru zh )
+IUSE+=" ${NMAP_LINGUAS[@]/#/linguas_}"
+
+REQUIRED_USE="
+       system-lua? ( nse )
+       ndiff? ( ${PYTHON_REQUIRED_USE} )
+       zenmap? ( ${PYTHON_REQUIRED_USE} )
+"
+
+RDEPEND="
+       dev-libs/liblinear:=
+       dev-libs/libpcre
+       || ( >=net-libs/libpcap-1.8.0 <net-libs/libpcap-1.8.0[ipv6?] )
+       zenmap? (
+               dev-python/pygtk:2[${PYTHON_USEDEP}]
+               ${PYTHON_DEPS}
+       )
+       system-lua? ( >=dev-lang/lua-5.2[deprecated] )
+       ndiff? ( ${PYTHON_DEPS} )
+       nls? ( virtual/libintl )
+       nmap-update? ( dev-libs/apr dev-vcs/subversion )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:= )
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       nls? ( sys-devel/gettext )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+       if use ndiff || use zenmap; then
+               python-single-r1_pkg_setup
+       fi
+}
+
+src_unpack() {
+       # prevent unpacking the logo
+       unpack ${MY_P}.tar.bz2
+}
+
+src_prepare() {
+       epatch \
+               "${FILESDIR}"/${PN}-5.10_beta1-string.patch \
+               "${FILESDIR}"/${PN}-5.21-python.patch \
+               "${FILESDIR}"/${PN}-6.46-uninstaller.patch \
+               "${FILESDIR}"/${PN}-6.47-no-libnl.patch \
+               "${FILESDIR}"/${PN}-6.25-liblua-ar.patch \
+               "${FILESDIR}"/${PN}-7.25-no-FORTIFY_SOURCE.patch \
+               "${FILESDIR}"/${PN}-7.25-CXXFLAGS.patch \
+               "${FILESDIR}"/${PN}-7.25-libpcre.patch
+
+       if use nls; then
+               local lingua=''
+               for lingua in ${NMAP_LINGUAS[@]}; do
+                       if ! use linguas_${lingua}; then
+                               rm -r zenmap/share/zenmap/locale/${lingua} || 
die
+                               rm zenmap/share/zenmap/locale/${lingua}.po || 
die
+                       fi
+               done
+       else
+               # configure/make ignores --disable-nls
+               for lingua in ${NMAP_LINGUAS[@]}; do
+                       rm -r zenmap/share/zenmap/locale/${lingua} || die
+                       rm zenmap/share/zenmap/locale/${lingua}.po || die
+               done
+       fi
+
+       sed -i \
+               -e '/^ALL_LINGUAS =/{s|$| id|g;s|jp|ja|g}' \
+               Makefile.in || die
+
+       sed -i \
+               -e '/rm -f $@/d' \
+               $(find . -name Makefile.in) \
+               || die
+
+       # Fix desktop files wrt bug #432714
+       sed -i \
+               -e '/^Encoding/d' \
+               -e 's|^Categories=.*|Categories=Network;System;Security;|g' \
+               zenmap/install_scripts/unix/zenmap-root.desktop \
+               zenmap/install_scripts/unix/zenmap.desktop || die
+
+       epatch_user
+
+       eautoreconf
+}
+
+src_configure() {
+       # The bundled libdnet is incompatible with the version available in the
+       # tree, so we cannot use the system library here.
+       econf \
+               $(use_enable ipv6) \
+               $(use_enable nls) \
+               $(use_with zenmap) \
+               $(usex nse --with-liblua=$(usex system-lua /usr included '' '') 
--without-liblua) \
+               $(use_with ncat) \
+               $(use_with ndiff) \
+               $(use_with nmap-update) \
+               $(use_with nping) \
+               $(use_with ssl openssl) \
+               --with-libdnet=included \
+               --with-pcre=/usr
+       #       --with-liblinear=/usr \
+       #       Commented because configure does weird things, while 
autodetection works
+}
+
+src_compile() {
+       local directory
+       for directory in . libnetutil nsock/src \
+               $(usex ncat ncat '') \
+               $(usex nmap-update nmap-update '') \
+               $(usex nping nping '')
+       do
+               emake -C "${directory}" makefile.dep
+       done
+
+       emake \
+               AR=$(tc-getAR) \
+               RANLIB=$(tc-getRANLIB)
+}
+
+src_install() {
+       LC_ALL=C emake -j1 \
+               DESTDIR="${D}" \
+               STRIP=: \
+               nmapdatadir="${EPREFIX}"/usr/share/nmap \
+               install
+       if use nmap-update;then
+               LC_ALL=C emake -j1 \
+                       -C nmap-update \
+                       DESTDIR="${D}" \
+                       STRIP=: \
+                       nmapdatadir="${EPREFIX}"/usr/share/nmap \
+                       install
+       fi
+
+       dodoc CHANGELOG HACKING docs/README docs/*.txt
+
+       if use zenmap; then
+               doicon "${DISTDIR}/nmap-logo-64.png"
+               python_optimize
+       fi
+}

Reply via email to